module VerifyExamples.Tracery.FromJson3 exposing (..)

-- This file got generated by [elm-verify-examples](https://github.com/stoeffel/elm-verify-examples).
-- Please don't modify this file by hand!

import Test
import Expect

import Tracery exposing (..)
import Result.Extra
import Random
import Json.Decode



generate : Int -> String -> String
generate seed json =
    json
        |> Tracery.fromJson
        |> Result.Extra.unpack
            Json.Decode.errorToString
            (\grammar ->
                Random.step (Tracery.run grammar) (Random.initialSeed seed)
                    |> Tuple.first
            )



spec3 : Test.Test
spec3 =
    Test.test "#fromJson: \n\n    \"\"\"\n    { \"origin\": [\"I both have a #myPet# and a #myPet#.\"]\n    , \"myPet\" : \"#petWithColor#\"\n    , \"petWithColor\" : [\"black #pet#\", \"white #pet#\", \"brown #pet#\"]\n    , \"pet\": [\"cat\",\"dog\",\"fish\",\"parrot\"]\n    }\n    \"\"\"\n    |> generate 41\n    --> \"I both have a black cat and a black dog.\"" <|
        \() ->
            Expect.equal
                (
                """
                { "origin": ["I both have a #myPet# and a #myPet#."]
                , "myPet" : "#petWithColor#"
                , "petWithColor" : ["black #pet#", "white #pet#", "brown #pet#"]
                , "pet": ["cat","dog","fish","parrot"]
                }
                """
                |> generate 41
                )
                (
                "I both have a black cat and a black dog."
                )